deployment: singularity

about:
  description: |
   Includes
      - autoPROC - a system/toolbox for automatic processing of X-Ray diffraction data (mainly MX), making use of external programs
        https://www.globalphasing.com/autoproc/
      - BUSTER - structure refinement package
        https://www.globalphasing.com/buster/
      - CCP4 - Software for Macromolecular X-Ray Crystallography
        https://www.ccp4.ac.uk/
      - XDS - X-ray Detector Software for processing single-crystal monochromatic diffraction data recorded by the rotation method
        http://xds.mpimf-heidelberg.mpg.de/
      - Adxv - A program to display X-Ray diffraction images
        https://www.scripps.edu/tainer/arvai/adxv.html
      - Mosflm - a program for integrating single crystal diffraction data from area detectors
        https://www.mrc-lmb.cam.ac.uk/mosflm/mosflm/

aliases:
  - autoproc/20240710
  - buster/20240710
  - ccp4/9.0.002

singularity_url_src:
  - https://www.globalphasing.com/autoproc/
  - https://www.globalphasing.com/buster/
  - http://series-71.fg.oisin.rc-harwell.ac.uk/downloads/
singularity_local_src:
  - GPhL_autoPROC_snapshot_20240710.linux64.tar
  - GPhL_autoPROC_snapshot_20240710_install.sh
  - autoproc_licence.txt
  - GPhL_BUSTER_snapshot_20240710.linux64.tar
  - GPhL_BUSTER_snapshot_20240710_install.sh
  - buster_licence.txt
  - ccp4-9.0.002-shelx-arpwarp-linux64.tar.gz

license_constraint: academic_only
license_url:
  - https://www.globalphasing.com/autoproc/licence/index.html
  - https://www.globalphasing.com/buster/licence/index.html
  - http://series-71.fg.oisin.rc-harwell.ac.uk/downloads/licence.php

binaries_paths:
  - /opt/arp_warp_8.0/bin/bin-x86_64-Linux
  - /opt/ccp4-8.0/etc
  - /opt/ccp4-8.0/bin
  - /opt/XDS-INTEL64_Linux_x86_64
  - /opt/adxv
  - /opt/mosflm
  - /opt/GPhL_autoPROC/autoPROC/bin/linux64
  - /opt/GPhL_BUSTER/autoBUSTER/bin/linux64
  - /opt/GPhL_BUSTER/scripts
  - /opt/GPhL_BUSTER/scripts/buster-report-lib
  - /opt/GPhL_BUSTER/MakeTNT/bin/
  - /opt/xds_gui



